## org.apache.taglibs.standard.tag.common.xml
Class ExprSupport

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.apache.taglibs.standard.tag.common.xml.ExprSupport

All Implemented Interfaces:
  Serializable, IterationTag, JspTag, Tag

Direct Known Subclasses:
  ExprTag, ExprTag

    public abstract class ExprSupport

extends TagSupport

Tag handler for <expr> in JSTL's XML library.

Author:
  Shawn Bayern
See Also:
  Serialized Form

Field Summary
`protected boolean` `escapeXml`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ExprSupport()` Constructs a new handler.

Method Summary
`int` `doStartTag()` Default processing of the start tag, returning SKIP_BODY.
`void` `release()` Release state.
`void` `setSelect(String select)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### escapeXml

    protected boolean escapeXml

Constructor Detail

### ExprSupport

    public ExprSupport()

  Constructs a new handler. As with TagSupport, subclasses should not provide other constructors and are expected to call the superclass constructor.

Method Detail

### doStartTag

    public int doStartTag()
                   throws JspException

  Description copied from class: `TagSupport`
  Default processing of the start tag, returning SKIP_BODY.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `TagSupport`
  Returns:
    SKIP_BODY
  Throws:
    `JspException` - if an error occurs while processing this tag
  See Also:
    `Tag.doStartTag()`

### release

    public void release()

  Description copied from class: `TagSupport`
  Release state.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `TagSupport`
  See Also:
    `Tag.release()`

### setSelect

    public void setSelect(String select)

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.